/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.shell;

import java.util.ArrayList;

/**
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class Argument {
	/**
	 * オプション
	 */
	private ArrayList options = new ArrayList();
	/**
	 * その他引数
	 */
	private ArrayList arguments = new ArrayList();

	/**
	 * コンストラクタ
	 */
	public Argument() {
	}
	/**
	 * オプションを配列で返す
	 * @return オプションリスト
	 */
	public Option[] getOptions() {
		return (Option[])options.toArray(new Option[0]);
	}
	/**
	 * 引数を配列で返す
	 * @return 引数リスト
	 */
	public String[] getArguments() {
		return (String[])arguments.toArray(new String[0]);
	}
	/**
	 * オプションを追加する
	 * @param opt 追加対象のオプション
	 */
	public void addOption(Option opt) {
		options.add(opt);
	}
	/**
	 * オプションを追加する
	 * @param opt 追加対象のオプション
	 */
	public void addOption(String opt) {
		options.add(new Option(opt));
	}
	/**
	 * 引数を追加する
	 * @param arg 追加対象の引数
	 */
	public void addArgument(String arg) {
		arguments.add(arg);
	}
}
